Subject: [martini] FW: #23: 3.3 unlear whether mentioned issues are tackled or not

From: "Elwell, John" <[email-masked]>
Date: Thu, 25 Mar 2010 21:41:31 +0100

Hadriel,

I am forwarding this, as you are not explicitly addressed on the tracker message. Please give your opinion on this matter. The issue is that sections 3.2.1 and 3.2.2 do not seem relevant to the MARTINI question, and are not even backed up by any requirements in section 4 or by any mechanism in the gin draft.

Thanks,

John 

> -----Original Message-----
> From: martini issue tracker [mailto:[email-masked]] 
> Sent: 25 March 2010 13:38
> To: Elwell, John
> Cc: [email-masked]
> Subject: Re: [martini] #23: 3.3 unlear whether mentioned 
> issues are tackled or not
> 
> #23: 3.3 unlear whether mentioned issues are tackled or not
> -------------------------------------+------------------------
> --------------
>  Reporter:  ietf.hanserik@...          |       Owner:  
> john.elwell@...                     
>      Type:  defect                   |      Status:  assigned 
>                          
>  Priority:  minor                    |   Milestone:  
> milestone1                        
> Component:  reqs                     |     Version:  1.0      
>                          
>  Severity:  In WG Last Call          |    Keywords:           
>                          
> -------------------------------------+------------------------
> --------------
> Changes (by john.elwell@...):
> 
>   * owner:  => john.elwell@...
>   * status:  new => assigned
> 
> 
> Comment:
> 
>  I am inclined to accept this comment, but the text came from Hadriel
>  orginally. Hadriel, can you give an opinion whether we should delete
>  sections 3.3.1 and 3.3.2 (and hence 3.3)?
> 
> -- 
> Ticket URL: 
> <http://trac.tools.ietf.org/wg/martini/trac/ticket/23#comment:1>
> martini <http://tools.ietf.org/martini/>
> 
>

---

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 25 Mar 2010 17:05:13 -0400

You mean section 3.3.1 and 3.3.2 (not 3.2.1 and 3.2.2).

As section 3.3 says:
   A mechanism for solving the SIP-PBX registration problem
   will not solve these policy issues directly, although when specifying
   the mechanism the opportunity can be taken to highlight the impact of
   such policies.

What we really meant was the Martini was not going to solve the policy issues, but we would document the impact of such policies.

So I recommend we add the following Requirement:
REQ19 - the mechanism's specification SHOULD give guidance or warnings about how authorization policies may be affected by the mechanism, to address the problems described in section 3.3.

OK?

-hadriel

> From: Elwell, John [mailto:[email-masked]]
> Sent: Thursday, March 25, 2010 4:42 PM
> To: Hadriel Kaplan
> Cc: [email-masked]
> Subject: FW: [martini] #23: 3.3 unlear whether mentioned issues are
> tackled or not
> 
> Hadriel,
> 
> I am forwarding this, as you are not explicitly addressed on the tracker
> message. Please give your opinion on this matter. The issue is that
> sections 3.2.1 and 3.2.2 do not seem relevant to the MARTINI question, and
> are not even backed up by any requirements in section 4 or by any
> mechanism in the gin draft.
> 
> Thanks,
> 
> John
>

---

From: "Elwell, John" <[email-masked]>
Date: Thu, 25 Mar 2010 22:08:07 +0100

Yes, I meant 3.3.1 and 3.3.2 (its getting late in the week).

If we say "SHOULD", it would be a desirable, not a requirement, right?

John 

> From: Hadriel Kaplan [mailto:[email-masked]] 
> Sent: 25 March 2010 14:05
> To: Elwell, John
> Cc: [email-masked]
> Subject: RE: [martini] #23: 3.3 unlear whether mentioned 
> What we really meant was the Martini was not going to solve 
> the policy issues, but we would document the impact of such policies.
> 
> REQ19 - the mechanism's specification SHOULD give guidance or 
> warnings about how authorization policies may be affected by 
> the mechanism, to address the problems described in section 3.3.
> 
> OK?
> 
> -hadriel
>

---

From: Hans Erik van Elburg <[email-masked]>
Date: Fri, 26 Mar 2010 10:31:04 +0100

It is a requirement, that you MUST have really good reasons for not to
comply with. See RFC2119. If you keep the issues in the doc and hence agree
that they are issues then I think it will be hard to find a good reason.

I think that it is good to have a requirement like that. But does this mean
that the specification should also describe impacts on PBX outbound calls to
the SSP over the SIP trunk? Is it only authentication/identification that
need to be looked at?

BR,
/Hans Erik van Elburg

On Thu, Mar 25, 2010 at 10:08 PM, Elwell, John <
[email-masked]> wrote:

> _______________________________________________
> martini mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/martini
>

---

From: "Elwell, John" <[email-masked]>
Date: Fri, 26 Mar 2010 20:59:44 +0100

I can accept MUST ( a requirement) or SHOULD (a desirable). Other opinions?

John

________________________________
From: Hans Erik van Elburg [mailto:[email-masked]]
Sent: 26 March 2010 02:31
To: Elwell, John
Cc: Hadriel Kaplan; [email-masked]
Subject: Re: [martini] #23: 3.3 unlear whether mentioned issues are tackled or not

It is a requirement, that you MUST have really good reasons for not to comply with. See RFC2119. If you keep the issues in the doc and hence agree that they are issues then I think it will be hard to find a good reason.

I think that it is good to have a requirement like that. But does this mean that the specification should also describe impacts on PBX outbound calls to the SSP over the SIP trunk? Is it only authentication/identification that need to be looked at?

BR,
/Hans Erik van Elburg

On Thu, Mar 25, 2010 at 10:08 PM, Elwell, John <[email-masked]<mailto:[email-masked]>> wrote:
Yes, I meant 3.3.1 and 3.3.2 (its getting late in the week).

John

> From: Hadriel Kaplan [mailto:[email-masked]<mailto:[email-masked]>]
> Cc: [email-masked]<mailto:[email-masked]>
> > From: Elwell, John [mailto:[email-masked]<mailto:[email-masked]>]
> > Cc: [email-masked]<mailto:[email-masked]>
> > > From: martini issue tracker [mailto:[email-masked]<mailto:[email-masked]>]
> > > Cc: [email-masked]<mailto:[email-masked]>
_______________________________________________
martini mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/martini